# Javascript API

| Data Type                                                                                    | Explanation                                                                                            |
| -------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------ |
| [Profile Updates](/adnuntius-data/api-documentation/javascript/profile-updates.md)           | How to send User Profile updates.                                                                      |
| [Page Views](/adnuntius-data/api-documentation/javascript/page-views.md)                     | How to send Page View events.                                                                          |
| [User synchronization](/adnuntius-data/api-documentation/javascript/user-synchronisation.md) | How to merge user profiles from different systems and devices to provide a unified view of your users. |
| [Get user segments](/adnuntius-data/api-documentation/javascript/get-user-segments.md)       | How you would read a user's segments using the JavaScript API.                                         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.adnuntius.com/adnuntius-data/api-documentation/javascript.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
